Package com.pixelmed.convert

## Class TIFFValues.TIFFLongValues

- java.lang.Object
- - com.pixelmed.convert.TIFFValues
  - - com.pixelmed.convert.TIFFValues.TIFFLongValues

- Enclosing class:
    TIFFValues

      public static class TIFFValues.TIFFLongValues
      extends TIFFValues

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.pixelmed.convert.TIFFValues

      `TIFFValues.TIFFAsciiValues, TIFFValues.TIFFByteValues, TIFFValues.TIFFIfd8Values, TIFFValues.TIFFIfdValues, TIFFValues.TIFFLong8Values, TIFFValues.TIFFLongValues, TIFFValues.TIFFRationalValues, TIFFValues.TIFFSByteValues, TIFFValues.TIFFShortValues, TIFFValues.TIFFSlong8Values, TIFFValues.TIFFSLongValues, TIFFValues.TIFFSRationalValues, TIFFValues.TIFFSShortValues, TIFFValues.TIFFUndefinedValues`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TIFFValues.TIFFLongValues` | `extractValues​(byte[] buffer, java.nio.ByteOrder useByteOrder, int numberOfValues)` |
    `long[]` | `getNumericValues()` |
    `long` | `getSingleNumericValue​(int valueNumber, long defaultValue)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.pixelmed.convert.TIFFValues

      `extractValues, getByteValues, getSingleNumericValue, getStringValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### extractValues

          public static TIFFValues.TIFFLongValues extractValues​(byte[] buffer,
                                                                java.nio.ByteOrder useByteOrder,
                                                                int numberOfValues)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSingleNumericValue

          public long getSingleNumericValue​(int valueNumber,
                                            long defaultValue)

      Overrides:
        `getSingleNumericValue` in class `TIFFValues`

    - #### getNumericValues

          public long[] getNumericValues()

      Overrides:
        `getNumericValues` in class `TIFFValues`